%define upstream_name    Alien-Base
%define upstream_version 0.028

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    API Reference for Alien:: Authors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

# for test purposes

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Capture::Tiny) >= 0.170.0
BuildRequires: perl(Cwd)
BuildRequires: perl(FFI::CheckLib) >= 0.110.0
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir) >= 0.100.500
BuildRequires: perl(FindBin)
BuildRequires: perl(HTTP::Tiny) >= 0.44.0
BuildRequires: perl(JSON::PP)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Shell::Config::Generate)
BuildRequires: perl(Shell::Guess)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Text::ParseWords) >= 3.260.0
BuildRequires: perl(URI)
BuildRequires: perl(parent)
BuildRequires: pkgconfig(zlib)
BuildArch:  noarch

%description
the Alien::Base manpage comprises base classes to help in the construction
of 'Alien::' modules. Modules in the the Alien manpage namespace are used
to locate and install (if necessary) external libraries needed by other
Perl modules.

This is the documentation for the the Alien::Base manpage module itself. To
learn more about the system as a whole please see the
Alien::Base::Authoring manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.28.0-2.mga6
+ Revision: 1022268
- Rebuild for perl 5.22.2

* Thu Apr 14 2016 shlomif <shlomif> 0.28.0-1.mga6
+ Revision: 1001424
- update to 0.028

* Wed Feb 10 2016 shlomif <shlomif> 0.27.0-1.mga6
+ Revision: 953345
- update to 0.027

* Mon Sep 28 2015 sander85 <sander85> 0.23.0-1.mga6
+ Revision: 884390
- update to 0.023

* Mon Jul 20 2015 sander85 <sander85> 0.22.0-1.mga6
+ Revision: 855714
- update to 0.022

* Sun Jul 19 2015 sander85 <sander85> 0.21.0-1.mga6
+ Revision: 855307
- update to 0.021

* Tue Jul 14 2015 sander85 <sander85> 0.20.0-1.mga6
+ Revision: 854026
- update to 0.020

* Sun Jul 05 2015 sander85 <sander85> 0.19.0-2.mga6
+ Revision: 851612
- Exclude deps from _docdir

* Sun Jul 05 2015 sander85 <sander85> 0.19.0-1.mga6
+ Revision: 851115
- update to 0.019

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 749248
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 683462
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 0.4.0-1.mga5
+ Revision: 603678
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.004
- adding missing buildrequires:
- update to 0.003
- adding missing buildrequires:
- imported package perl-Alien-Base


* Wed Oct 10 2012 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
